#ifndef DCHUBLINKLISTENER_H
#define DCHUBLINKLISTENER_H

#include <QWidget>
#include <QFile>

#include <dclib/core/cstring.h>

#include "dcconnectionmanager.h"

class DCHubLinkListener : public QWidget
{
  Q_OBJECT

    /**
	@author Andrey Karlov
    */

public:
	DCHubLinkListener(QWidget * parent = 0);
	virtual ~DCHubLinkListener();
	void connect(QString hub);
protected:
	void timerEvent(QTimerEvent *event);

private:
	int timerId;
	void testFile();
	QFile *file;
};

extern DCHubLinkListener *g_pHubLinkListener;

#endif
